Subject: Re: [PATCH] gnu: Add python-surf.

From: Cayetano Santos <[email-masked]>
Date: Mon, 14 Apr 2025 10:50:18 +0200

>Mon 14 Apr 2025 at 10:07, Andreas Enge <[email-masked]> wrote:

> Hello Oleg,
>
> thanks for looking at the license, that is always an important step in
> package submission and acceptance.
>
> Am Sun, Apr 13, 2025 at 09:48:28PM +0100 schrieb Sharlatan Hellseher:
>> --8<---------------cut here---------------start------------->8---
>> Copyright (c) 2025, The Board of Trustees of the Leland Stanford Junior
>> University, through SLAC National Accelerator Laboratory (subject to receipt
>> of any required approvals from the U.S. Dept. of Energy). All rights reserved.
>> Redistribution and use in source and binary forms, with or without
>> modification, are permitted provided that the following conditions are met:
>> --8<---------------cut here---------------end--------------->8---
>> <https://github.com/slaclab/surf/blob/main/LICENSE.txt>
>
> The license given there is essentially the bsd-3 license:
>    https://directory.fsf.org/wiki/License:BSD-3-Clause
> with "the author" replaced by the actual name of the copyright holder.
>
> So it is fine to add the package to Guix; I think we use the
> (define* (non-copyleft uri #:optional (comment ""))
>   "Return a lax, permissive, non-copyleft license (for example a variant of
> the 3-clause BSD license or the Expat license), whose full text can be found
> at URI, which may be a file:// URI pointing the package's tree."
>   (license "non-copyleft"
>            uri
>            (string-append
>             "This is a lax, non-copyleft free software license.  "
>             "Check the URI for details.  "
>             comment)))
> form of the license in this case, for "a variant of the 3-clause BSD
> license".
>
> Andreas

Thanks for noticing about the license. I just sent a v2 to fix it.